Add LoadPath projectPath.

Require Import propositional_formulas.
Require Import BES.
Require Import proofSystem_consistent_consequence.
Require Import proofSystem_complete_consistent_consequence.
Require Import proofSystem_sound_consistent_consequence.
Require Import consistent_consequence.
Require Import Ensembles.

Lemma prv_system_sound_and_complete : forall E:_, w_d E -> forall x y:_,
  prv_tree E (Empty_set _ |- (var x) --> (var y))
<->
  cc_max E (x,y) \/ x=y.
Proof.
split;intros.
apply prv_system_sound;auto.
destruct H0.
apply (complete _ H (x,y));auto.
rewrite H0;apply REF.
Qed.